Skip to main content
POST
Create an expense
Learn more:
  • What is a financial entry? ↗
  • What is a journal entry? ↗
  • How to select the right accounts in journal entries? ↗

Path Parameters

consumer_id
string<uuid>
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Body

application/json
employee_id
string
required

Employee identifier in the accounting system.

Example:

"<accounting-employee-id>"

total
number
required

Total amount including taxes for the expense.

Example:

242

untaxed_amount
number
required

Total untaxed amount for the expense.

Example:

200

tax_amount
number
required

Total tax amount for the expense.

Example:

42

currency
string
required

Currency of the expense (e.g., EUR, USD).

Example:

"EUR"

date
string<date>
required

Expense date.

Example:

"2026-01-15"

lines
ExpenseLineItem · object[]
required

Expense lines.

Minimum array length: 1
reference
string | null

External reference.

Example:

"EXP-2026-0001"

number
string | null

Unique number for idempotency in the accounting system.

Example:

"EXP-2026-0001"

currency_exchange_rate
number | null
default:1

Exchange rate from the transaction currency to the folder's base currency, at the expense date. Must be positive if provided.

pdf
string | null

Base64 PDF attachment of the expense document.

pdf_name
string | null

A name for the PDF file to be created for accounting software that support it.

Required string length: 1 - 200
Pattern: ^[a-zA-Z0-9\-_ ]{1,196}(?:.pdf)?$

Response

Successful Response

employee_id
string
required

Employee identifier in the accounting system.

Example:

"<accounting-employee-id>"

total
number
required

Total amount including taxes for the expense.

Example:

242

untaxed_amount
number
required

Total untaxed amount for the expense.

Example:

200

tax_amount
number
required

Total tax amount for the expense.

Example:

42

currency
string
required

Currency of the expense (e.g., EUR, USD).

Example:

"EUR"

date
string<date>
required

Expense date.

Example:

"2026-01-15"

lines
ExpenseLineItem · object[]
required

Expense lines.

Minimum array length: 1
id
string
required

Unique id of the expense in the accounting system.

Example:

"<this-expense-id>"

reference
string | null

External reference.

Example:

"EXP-2026-0001"

number
string | null

Unique number for idempotency in the accounting system.

Example:

"EXP-2026-0001"

currency_exchange_rate
number | null
default:1

Exchange rate from the transaction currency to the folder's base currency, at the expense date. Must be positive if provided.

pdf
string | null

Base64 PDF attachment of the expense document.

pdf_name
string | null

A name for the PDF file to be created for accounting software that support it.

Required string length: 1 - 200
Pattern: ^[a-zA-Z0-9\-_ ]{1,196}(?:.pdf)?$